Package org.apache.lucene.benchmark.quality.trec

# Class QueryDriver

java.lang.Object
org.apache.lucene.benchmark.quality.trec.QueryDriver

public class QueryDriver extends Object
Command-line tool for doing a TREC evaluation run.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryDriver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueryDriver

    public QueryDriver()

- ## Method Details

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`